import java.util.*;

public class ImpossibleEvaluationException extends Exception{

    private ArrayList<String> traces;

    public ImpossibleEvaluationException(String erreur){
        super(erreur);
        traces = new ArrayList<String>();
    }

    public void addTrace(String trace){
        traces.add(trace);
    }

    public String toString(){
        StringBuffer s = new StringBuffer();
        s.append(super.toString()+"\n");
        s.append(traces);
        return s.toString();
    }
}


