public class Suite_v1{

    public static int suite ( int  n, int u0, int u1){
        if (n == 0)
            return u0;
        if ( n == 1)
            return u1;
        try{
            int un_1 = suite(n-1, u0, u1);
            int un_2 = suite(n-2, u0, u1);
            if (n % 2 == 0)
                return  un_1 /un_2 - un_2  / un_1;
            return  un_2 /un_1 - un_1 / un_2;
        }
        catch (ArithmeticException e){
            throw new RuntimeException("Division par 0");
        }
    }

    static void usage() {
        System.out.println("java Suite <n> <u0> <u1>\n");
        System.exit(1);
    }

    public static void main( String[] args){
        if( args.length != 3)
            usage();
        try {
            int n  = Integer.parseInt(args[0]);
            int u0 = Integer.parseInt(args[1]);
            int u1 = Integer.parseInt(args[2]);
            System .out .println ("Suite ("+ n + "," + u0 + "," + u1 + ") = " 
                    + suite(n, u0, u1));
        }
        catch (NumberFormatException e){
            System.err.println("Les arguments sont entiers");
            usage();
        } 
        catch (Exception e) {
            System.out.println("[ERREUR]" + e);
        }
    }
} 

/*[ERREUR]java.lang.RuntimeException: Division par 0*/